% Parameters

% All in SI units 
% I. Data (parameters and independent variabless)
% Data for: 1-methanol, 2-ethanol
A1 = 8.08097; B1 = 1582.271; C1 = 239.726;   % Antoine psat1 [mmHg] w/ T [C] (T-range: 15C - 84C)
A2 = 8.11220; B2 = 1592.864; C2 = 226.184;   % Antoine psat2 [mmHg] w/ T [C] (T-range: 20C - 93C)
cpl1 = 80; cpl2 = 131; cpv1 = 44; cpv2 = 65; % heat capacity        [J/K mol]
T0 = 298.15; hvap01 = 38000; hvap02 = 43000; % heat of vap. at T0   [J/mol]
Vl1 = 40.7e-6; Vl2 = 58.7e-6;                % liquid molar volumes [m3/mol]
R = 8.13;                                    % J/mol K
p0   = 1e5;                                % N/m2  (=1 bar downstream pressure)

% Input data (bias)
qbias  = 0.1;
Tfbias = 400;
z1bias = 0.5;
Lbias  = 1.700054629169845e+003;

% Output data (bias)
Gbias = 3.120178054378193e+002;
y1bias = 0.613001096094892;
y2bias = 1 - 0.613001096094892;
x1bias = 0.479260458216678;
x2bias = 1 - 0.479260458216678;
pbias = 1.031201780543782e+005;
Tbias = 3.445470792830599e+002;
VLbias = 5.017000546291580;
youtbias = [Gbias y1bias y2bias Lbias x1bias x2bias pbias Tbias VLbias];

% Total tank volume 
Vtot = 10;                               % m3

% Steady-state volume setpoint
VLs = Vtot/2;                            % m3

% Valve constant
kg = 0.1;

